Subject: [6lowpan] deriving IIDs from short 802.15.4 addresses in 6lowpan-hc vs. RFC4944

From: Anthony Baire <[email-masked]>
Date: Tue, 02 Nov 2010 17:35:39 +0100

Hi all,

the 6lowpan-hc draft (Section 3.3.2) describes  how to derive an 
interface ID from a 802.15.4 short address:
>     A short IEEE 802.15.4 address is 16 bits in length.  Short addresses
>     are mapped into the restricted space of IEEE EUI-64 addresses by
>     setting the middle 16 bits to 0xfffe, the bottom 16 bits to the short
>     address, and all other bits to zero.  As a result, an IID generated
>     from a short address has the form:
>
>        0000:00ff:fe00:XXXX
>
>     where XXXX carries the short address.  The universal/local bit is
>     zero to indicate local scope.
>    

But this is not identical to the method described in RFC 4944 (Section 6)

>     All 802.15.4 devices have an IEEE EUI-64 address, but 16-bit short
>     addresses (Section 3  <http://tools.ietf.org/html/rfc4944#section-3>  andSection 12  <http://tools.ietf.org/html/rfc4944#section-12>) are also possible.  In these
>     cases, a "pseudo 48-bit address" is formed as follows.  First, the
>     left-most 32 bits are formed by concatenating 16 zero bits to the 16-
>     bit PAN ID (alternatively, if no PAN ID is known, 16 zero bits may be
>     used).  This produces a 32-bit field as follows:
>
>        16_bit_PAN:16_zero_bits
>
>     Then, these 32 bits are concatenated with the 16-bit short address.
>     This produces a 48-bit address as follows:
>
>        32_bits_as_specified_previously:16_bit_short_address
>
>     The interface identifier is formed from this 48-bit address as per
>     the "IPv6 over Ethernet" specification [RFC2464  <http://tools.ietf.org/html/rfc2464>].  However, in the
>     resultant interface identifier, the "Universal/Local" (U/L) bit SHALL
>     be set to zero in keeping with the fact that this is not a globally
>     unique value.

According to RFC 4944, the resulting interface id should look like:

       YYYY:00ff:fe00:XXXX      (where YYYY is derived from the PAN ID)

The PAN ID is not included in 6lowpan-hc. Is this an omission ?

Best Regards

Anthony Baire

---

From: Jonathan Hui <[email-masked]>
Date: Tue, 2 Nov 2010 09:44:05 -0700

Hi Anthony,

The difference you noted is intentional.  See this prior message for background:
http://www.ietf.org/mail-archive/web/6lowpan/current/msg02379.html

--
Jonathan Hui

On Nov 2, 2010, at 9:35 AM, Anthony Baire wrote:

> Hi all,
> 
> 
> the 6lowpan-hc draft (Section 3.3.2) describes  how to derive an interface ID from a 802.15.4 short address:
>>    addresses (Section 3 and Section 12) are also possible.  In these
>>    the "IPv6 over Ethernet" specification [RFC2464].  However, in the
> _______________________________________________
> 6lowpan mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/6lowpan

---

From: Anthony Baire <[email-masked]>
Date: Fri, 05 Nov 2010 23:09:21 +0800

Hi Jonathan,

thanks for the reference.

Shall we then consider that the format in RFC4944 is kind of deprecated, 
or "not recommended"
or just not optimally compressed.

Anthony

Le 03/11/2010 00:44, Jonathan Hui a écrit :
>> [email-masked] <mailto:[email-masked]>